aboutsummaryrefslogtreecommitdiff
path: root/pull.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pull.sh')
-rwxr-xr-xpull.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/pull.sh b/pull.sh
new file mode 100755
index 0000000..d20c704
--- /dev/null
+++ b/pull.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+. etc/git/modules
+
+wd=`pwd`
+
+for i in $modules; do
+ echo "pull $i" 1>&2
+ cd $i
+ git pull $*
+
+ if [ $? -ne 0 ]; then
+ echo "pull FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done